> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lootexplus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Buy Orders

> Buy NFT orders using project wallet



## OpenAPI

````yaml POST /v1/project-wallet/orders/buy
openapi: 3.0.0
info:
  title: Lootex Plus API - V1
  description: V1 endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.lootexplus.com
security: []
tags: []
paths:
  /v1/project-wallet/orders/buy:
    post:
      tags:
        - V1
      description: Buy NFT orders using project wallet
      operationId: buyOrders
      parameters: []
      requestBody:
        required: true
        description: Buy order request details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BuyOrderDto'
            examples:
              buyOrder:
                summary: Buy NFT Order
                description: Buy NFT orders from marketplace
                value:
                  chainId: 1868
                  orderHashes:
                    - >-
                      0xaabdbab8b4485b784e00d80943964da179a92257248e665b0f035d4daabe85f8
      responses:
        '201':
          description: Buy order successful
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExecuteStepsResponseDto'
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    BuyOrderDto:
      type: object
      properties:
        chainId:
          type: number
          example: 1868
          description: Chain ID
        orderHashes:
          example:
            - '0xaabdbab8b4485b784e00d80943964da179a92257248e665b0f035d4daabe85f8'
          description: Order hashes to buy
          type: array
          items:
            type: string
      required:
        - chainId
        - orderHashes
    ExecuteStepsResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Step identifier
        result:
          description: Array of step results
          type: array
          items:
            $ref: '#/components/schemas/StepResultDto'
      required:
        - id
        - result
    StepResultDto:
      type: object
      properties:
        type:
          type: string
          description: Type of the step result
        result:
          type: object
          description: Result data of the step
      required:
        - type
        - result
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Secret key for authentication

````